Bug 840419 - rdist: rdist-6.1.5-license-fix.patch modifies patch backup files
rdist: rdist-6.1.5-license-fix.patch modifies patch backup files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rdist (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Michal Luscon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 06:21 EDT by Tomas Hoger
Modified: 2013-08-07 07:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 979258 (view as bug list)
Environment:
Last Closed: 2013-08-07 07:39:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2012-07-16 06:21:03 EDT
Description of problem:
rdist-6.1.5-license-fix.patch modifies backup files created by previous patch runs.  AFAICS, this should be fairly harmless as non-backup files are modified too.  However, this prevents clean application of the patches if backup files are not created.

Please consider updating the patch to not attempt to apply changes to the backup files.  Relevant hunks are for:

rdist-6.1.5/build/os-type.svr4
rdist-6.1.5/config/os-linux.h.varargs

http://pkgs.fedoraproject.org/gitweb/?p=rdist.git;a=blob;f=rdist-6.1.5-license-fix.patch;h=30a09b90d9da471ae0c83486b4eab6404ac2afd3;hb=HEAD


Version-Release number of selected component (if applicable):
rdist-6.1.5-53.el7 (rdist-6.1.5-53.fc17)
Comment 1 Fedora End Of Life 2013-04-03 12:22:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Michal Luscon 2013-08-07 07:39:23 EDT
Fixed in rdist-6.1.5-57.fc20

Note You need to log in before you can comment on or make changes to this bug.